Community Home

HP Forum

TechnologiesTopic CountRepliesLast Post

HP Client Management Script Library

Community discussion and support for HP Client Management Script Library.
1013854 days 15 hours ago by it team

Omnicept

The Omnicept Community Forum is a place for XR developers to discuss the Omnicept SDK and other XR related topics.
00-

HP DaaS Proactive Management

Support, discussion and community regarding HP DaaS Proactive Management.
117-

Immersive

Welcome to the Immersive developer community forum.
17272 years 5 months ago by sprout.dev@hp.com

Mobile Scan SDK

This forum is for the purpose of discussing the Mobile Scan SDK; its uses and functionality across the iOS and Android platforms.
13332 weeks 6 days ago by isaeloliveira656@gmail.com

Client Management Solutions

Community discussion and support for HP Client Management.
1092815 days 19 hours ago by philippe.debie@be.thalesgroup.com

HP Indigo SDKs and APIs

HP Indigo SDKs and APIs community discussion and support. (This forum is a merge of the former PrintOS and SmartStream SDK forums.)
58692 weeks 4 days ago by mfortier@growwithmail.com

Recent Blog Posts

Reverb G2 tracking with OpenXR in Unity
Omnicept 5 Nov 2021
Reverb G2 tracking with OpenXR in Unity
Author : sergi.tortosa.i.ortiz-villajos
In this blog post, we will go over the quick basic steps to get you started on how to get the Reverb G2 or Reverb G2 Omnicept Edition headset tracking on Unity using OpenXR. For this, we will be using Unity Engine LTS (2020.3) and the OpenXR package.   Setting up the project packages The first thing we will need to do is set up
Reverb G2 tracking with OpenXR in Unity
XR 5 Nov 2021
Reverb G2 tracking with OpenXR in Unity
Author : sergi.tortosa.i.ortiz-villajos
In this blog post, we will go over the quick basic steps to get you started on how to get the Reverb G2 or Reverb G2 Omnicept Edition headset tracking on Unity using OpenXR. For this, we will be using Unity Engine LTS (2020.3) and the OpenXR package.   Setting up the project packages The first thing we will need to do is set up
Battery Health Manager Discovery Script
HP Client Management 2 Nov 2021
Battery Health Manager Discovery Script
Author : meghna.gupta
This blog post will cover how to inventory the battery health manager setting for a collection of devices leveraging a PowerShell script to generate a .csv file. We will cover a solution for Configuration Manager and one without it. 

News and Events

3 Nov 2021
Are you ready for KitKat End of Support?

Are you ready for KitKat End of Support?

As previously communicated, HP Workpath will end VAV support for apps targeting KitKat firmware (Platform version 19.x) on December 1, 2021.

In addition to ending VAV support, HP has also decided to explicitly prohibit upload of apps targeting KitKat firmware to App Center (starting on December 1, 2021). This way, you won’t have to wait for VAV results in case you have unintentionally targeted KitKat firmware in your app.

Why end support for apps targeting KitKat firmware?

HP regularly introduces device firmware updates to improve functionality, reliability, and security. This includes major Android upgrades and patches. KitKat is much older and therefore less secure than Oreo and Android 10 (Platform 26.x and 29.x respectively) which are now available in firmware upgrades for all devices in the Workpath fleet. By removing VAV support for KitKat firmware, we are able to maintain confidence in the security of the Workpath Platform.

How do I know if my app is affected?

Your app is affected if any of the following conditions are true:

  • The Workpath Platform Version in the HPK manifest file is less than 26.3
  • The Android minSdkVersion in the apk manifest is less than 26
  • The Android targetSdkVersion in the apk manifest is less than 26

What do I need to do?

  1. Target Oreo (Platform version 26.3, Android SDK Version 26) or later as the minimum version supported for any new app uploads.
  2. Communicate the need to upgrade device firmware to your app’s user community as soon as possible. A table of firmware versions and their corresponding platform versions can be found here.
  3. Remove older versions of your app with KitKat firmware support from App Center as soon as feasible.
24 Aug 2021
Jarvis Portal Shell now available

Jarvis Portal Shell now on the HP Developers Portal

Jarvis Portal Shell ( also known as JShell) now has a home page on the HP Developers Portal at https://developers.hp.com/jarvis-portal-shell

Jarvis Portal Shell is a web application that provides infrastructure for dynamic portals that allow users access to content and services related to their HP printing assets. It is currently in development using an innersource model, and is part of the Jarvis Client Platform.

Thank you,

-- The Portal Shell Team

16 Jun 2021
HP Workpath to End VAV Support for Apps Targeting KitKat on December 1, 2021

HP Workpath to End VAV Support for Apps Targeting KitKat on December 1, 2021

Starting December 1, 2021 KitKat (Platform version 19.x) support will be reported as a High issue in the VAV report -- an automatic VAV failure. All existing versions of your app supporting KitKat will continue to work as expected.

We are also strongly encouraging all customers to upgrade their HP Enterprise printers to the latest firmware for continued support for the latest HP Workpath applications and the most secure FutureSmart firmware version.

Why this change?

HP regularly introduces device firmware updates to improve functionality, reliability, and security. This includes major Android upgrades and patches. KitKat is much older and therefore less secure than Oreo and Android 10 (Platform 26.x and 29.x respectively) which are now available in firmware upgrades for all devices in the Workpath fleet. By removing VAV support for KitKat, we are able to maintain confidence in the security of the Workpath Platform.
 

How do I know if my app is affected?

Your app is affected if any of the following conditions are true:

  • The Workpath Platform Version in the HPK manifest file is less than 26.3
  • The Android minSdkVersion in the apk manifest is less than 26
  • The Android targetSdkVersion in the apk manifest is less than 26

 

What do I need to do?

  • Begin targeting Oreo (Platform version 26.3, Android SDK Version 26) or later as the minimum version supported for new app submissions as soon as feasible.
  • Communicate the need to upgrade device firmware to your app’s user community as soon as possible.
  • Remove older versions of your app with KitKat support from App Center as soon as feasible.